/*

Copyright 2008-2015 Clipperz Srl

This file is part of Clipperz, the online password manager.
For further information about its features and functionalities please
refer to http://www.clipperz.com.

* Clipperz is free software: you can redistribute it and/or modify it
  under the terms of the GNU Affero General Public License as published
  by the Free Software Foundation, either version 3 of the License, or 
  (at your option) any later version.

* Clipperz is distributed in the hope that it will be useful, but 
  WITHOUT ANY WARRANTY; without even the implied warranty of 
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  See the GNU Affero General Public License for more details.

* You should have received a copy of the GNU Affero General Public
  License along with Clipperz. If not, see http://www.gnu.org/licenses/.

*/

"use strict";

Clipperz.Base.module('Clipperz.PM.UI.Components.Cards');

Clipperz.PM.UI.Components.Cards.FavIconClass = React.createClass({

	propTypes: {
		'src':	React.PropTypes.string,
	},
	
	getInitialState: function() {
		return {
			'src': this.props['src']
		};
	},

	defaultIcon: function () {
		return 'data:image/png;charset=utf-8;base64,[encoded data, 8236 characters]';
	},

	//----------------------------------------------------------------------------

	faviconEvent: function (anEvent) {
		if (anEvent['type'] == 'error') {
			this.setState({'src':this.defaultIcon()});
		}
	},

	render: function() {
		return React.DOM.img({'className':'favicon', 'src':this.state['src'] ? this.state['src'] : this.defaultIcon(), /*'onLoad':this.faviconEvent,*/ 'onError':this.faviconEvent}, this.props.children);
	},

});

Clipperz.PM.UI.Components.Cards.FavIcon = React.createFactory(Clipperz.PM.UI.Components.Cards.FavIconClass);